<?php
/***************************************************************************
 *                            admin_album_block.php
 *                             -------------------
 *   begin                : Monday, August 14, 2004
 *   copyright            : (C) 2004 Kooky
 *   email                : kooky@altern.org
 *
 *   $Id: admin_album_block.php,v 1.0.0 2004/08/14, 02:11:14 kooky Exp $
 *
 ***************************************************************************/

/***************************************************************************
 *
 *   This program is free software; you can redistribute it and/or modify
 *   it under the terms of the GNU General Public License as published by
 *   the Free Software Foundation; either version 2 of the License, or
 *   (at your option) any later version.
 *
 ***************************************************************************/

define('IN_PHPBB', true);

if( !empty($setmodules) )
{
	$filename = basename(__FILE__);
	$module['Photo_Album']['Photo_block'] = $filename;
	return;
}

//
// Let's set the root dir for phpBB
//
$phpbb_root_path = '../';
require($phpbb_root_path . 'extension.inc');
require('./pagestart.' . $phpEx);
require($phpbb_root_path . 'language/lang_' . $board_config['default_lang'] . '/lang_main_album.' . $phpEx);
require($phpbb_root_path . 'language/lang_' . $board_config['default_lang'] . '/lang_admin_album.' . $phpEx);

//
// Pull all config data
//
$sql = "SELECT * FROM " . ALBUM_CONFIG_TABLE;
if(!$result = $db->sql_query($sql))
{
	message_die(CRITICAL_ERROR, "Could not query Album config information", "", __LINE__, __FILE__, $sql);
}
else
{
	while( $row = $db->sql_fetchrow($result) )
	{
		$config_name = $row['config_name'];
		$config_value = $row['config_value'];
		$default_config[$config_name] = $config_value;

		$new[$config_name] = ( isset($HTTP_POST_VARS[$config_name]) ) ? $HTTP_POST_VARS[$config_name] : $default_config[$config_name];

		if( isset($HTTP_POST_VARS['submit']) )
		{
			$sql = "UPDATE " . ALBUM_CONFIG_TABLE . " SET
				config_value = '" . str_replace("\'", "''", $new[$config_name]) . "'
				WHERE config_name = '$config_name'";
			if( !$db->sql_query($sql) )
			{
				message_die(GENERAL_ERROR, "Failed to update Album configuration for $config_name", "", __LINE__, __FILE__, $sql);
			}
		}
	}

	if( isset($HTTP_POST_VARS['submit']) )
	{
		$message = $lang['Album_config_updated'];
		$message .= '<br /><br />' . sprintf($lang['Click_return_album_block_config'], '<a href="' . append_sid("admin_album_block.$phpEx") . '">', '</a>');
		$message .= '<br /><br />' . sprintf($lang['Click_return_album_config'], '<a href="' . append_sid("admin_album_config.$phpEx") . '">', '</a>') . '<br /><br />' . sprintf($lang['Click_return_admin_index'], '<a href="' . append_sid("index.$phpEx?pane=right") . '">', '</a>');

		message_die(GENERAL_MESSAGE, $message);
	}
}

// Allow all pics
$pics_all_yes = ( $new['pics_all'] ) ? ' checked="checked"' : '';
$pics_all_no = ( !$new['pics_all'] ) ? ' checked="checked"' : '';
// Sort pics
$pics_sort_yes = ( $new['pics_sort'] ) ? ' checked="checked"' : '';
$pics_sort_no = ( !$new['pics_sort'] ) ? ' checked="checked"' : '';

$template->set_filenames(array(
	"body" => "admin/album_block_body.tpl")
);

$template->assign_vars(array(
	'L_ALBUM_BLOCK_CONFIG' => $lang['Album_block_config'],
	'L_ALBUM_BLOCK_CONFIG_EXPLAIN' => $lang['Album_block_config_explain'],
	'S_ALBUM_BLOCK_CONFIG_ACTION' => append_sid('admin_album_block.'.$phpEx),

	'PICS_CAT_ID' => $new['cat_id'],
	'PICS_NUMBER' => $new['pics_number'],
	'PICS_ALL_YES' => $pics_all_yes,
	'PICS_ALL_NO' => $pics_all_no,
	'PICS_SORT_YES' => $pics_sort_yes,
	'PICS_SORT_NO' => $pics_sort_no,

	'L_PICS_CAT_ID' => $lang['Pics_cat_id'],
	'L_PICS_CAT_ID_EXPLAIN' => $lang['Pics_cat_id_explain'],
	'L_PICS_NUMBER' => $lang['Pics_number'],
	'L_PICS_NUMBER_EXPLAIN' => $lang['Pics_number_explain'],
	'L_PICS_ALL' => $lang['Pics_all'],
	'L_PICS_SORT' => $lang['Pics_sort'],
	'L_DISABLED' => $lang['Disabled'],
	'L_ENABLED' => $lang['Enabled'],
	'L_YES' => $lang['Yes'],
	'L_NO' => $lang['No'],
	'L_SUBMIT' => $lang['Submit'],
	'L_RESET' => $lang['Reset'])
);

$template->pparse("body");

include('./page_footer_admin.'.$phpEx);

?>